<?php include '../../common/view/header.html.php'; ?>
<div id="mainMenu" class='clearfix'>
  <div class="btn-toolbar pull-left">
    <?php echo html::a(inlink("browse"), "<span class='text'>{$lang->supplier->browse}</span>", '', "class='btn btn-link btn-active-text' id='supplierTab'");?>
  </div>
  <div class="btn-toolbar pull-right">
    <?php echo html::a(helper::createLink('supplier', 'create'), "<i class='icon icon-plus'></i> " . $lang->supplier->create, '', "class='btn btn-primary'");?>
  </div>
</div>
<div id='mainContent'>
  <?php if(!$suppliers):?>
  <div class="table-empty-tip">
    <p> 
      <span class="text-muted"><?php echo $lang->supplier->nosupplier;?></span>
      <?php if(common::hasPriv('supplier', 'create')):?>
      <span class="text-muted"><?php echo $lang->youCould;?></span>
      <?php common::printLink('supplier', 'create', '', "<i class='icon-plus'></i> " . $lang->supplier->create, '', "class='btn btn-info'");?>  
      <?php endif;?>
    </p>
  </div>
  <?php else:?>
  <form class='main-table' id='projectsForm' method='post' action='<?php echo inLink('batchEdit', "projectID=0");?>' data-ride='table'>
    <?php $vars = "orderBy=%s&recTotal={$pager->recTotal}&recPerPage={$pager->recPerPage}&pageID={$pager->pageID}";?>
    <table class='table has-sort-head table-fixed' id='projectList'>
      <thead>
        <tr>
          <th class='w-100px'><?php common::printOrderLink('id', $orderBy, $vars, $lang->idAB);?></th>
          <th><?php common::printOrderLink('name', $orderBy, $vars, $lang->supplier->name);?></th>
          <th class='w-100px'><?php common::printOrderLink('contact', $orderBy, $vars, $lang->supplier->contact);?></th>
          <th class='w-100px'><?php common::printOrderLink('wechat', $orderBy, $vars, $lang->supplier->wechat);?></th>
          <th class='w-100px'><?php common::printOrderLink('phone', $orderBy, $vars, $lang->supplier->phone);?></th>
          <th class='w-150px'><?php common::printOrderLink('email', $orderBy, $vars, $lang->supplier->email);?></th>
          <th class='w-300px'><?php common::printOrderLink('desc', $orderBy, $vars, $lang->supplier->desc);?></th>
          <th class='c-actions'><?php echo $lang->supplier->actions;?></th>
        </tr>
      </thead>
      <tbody>
        <?php foreach($suppliers as $supplier): ?>
        <tr>
          <td class='c-id'> <?php printf('%03d', $supplier->id);?></td>
          <td><?php echo !common::hasPriv('supplier', 'view') ? $supplier->name : html::a(helper::createLink('supplier', 'view', "supplierID=$supplier->id", 'html', true), $supplier->name, '', "title='$supplier->name' class='iframe'");?></td>
          <td><?php echo $supplier->contact;?></td>
          <td><?php echo $supplier->wechat;?></td>
          <td title="<?php echo $supplier->phone;?>"><?php echo $supplier->phone;?></td>
          <td><?php echo $supplier->email;?></td>
          <td title="<?php echo $supplier->desc?>"><?php echo $supplier->desc;?></td>
          <td class='c-actions'>
            <?php common::printIcon('supplier', 'edit', "supplierID=$supplier->id", $supplier, 'list', '', '', 'iframe', true);?>
            <?php common::printIcon('supplier', 'delete', "supplierID=$supplier->id", $supplier, 'list', 'trash', 'hiddenwin');?>
          </td>
        </tr>
        <?php endforeach ;?>
      </tbody>
    </table>
    <?php if($suppliers):?>
    <div class='table-footer'>
      <?php $pager->show('right', 'pagerjs');?>
    </div>
    <?php endif;?>
  </form>
  <?php endif;?>
</div>
<?php include '../../common/view/footer.html.php'; ?>
