<?php
/**
 * The control file of index module of ZenTaoPMS.
 *
 * When requests the root of a website, this index module will be called.
 *
 * @copyright   Copyright 2009-2015 青岛易软天创网络科技有限公司(QingDao Nature Easy Soft Network Technology Co,LTD, www.cnezsoft.com)
 * @license     ZPL (http://zpl.pub/page/zplv12.html)
 * @author      Chunsheng Wang <chunsheng@cnezsoft.com>
 * @package     ZenTaoPMS
 * @version     $Id: control.php 5036 2013-07-06 05:26:44Z wyd621@gmail.com $
 * @link        http://www.zentao.net
 */
class index extends control
{
    /**
     * Construct function, load project, product.
     * 
     * @access public
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
if(function_exists('ioncube_license_properties')) $properties = ioncube_license_properties();
if($this->app->getModuleName() != 'upgrade')
{
    $user = $this->dao->select("COUNT('*') as count")->from(TABLE_USER)
        ->where('deleted')->eq(0)
        ->beginIF(empty($this->app->user->feedback))->andWhere('feedback')->eq(0)->fi()
        ->beginIF(!empty($this->app->user->feedback))->andWhere("feedback")->eq(1)->fi()
        ->fetch();
    if(!empty($properties['user']) and $properties['user']['value'] < $user->count) die("<!DOCTYPE html PUBLIC '-//W3C//DTD XHTML 1.0 Transitional//EN' 'http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dli'>
<html xmlns='http://www.w3.org/1999/xhtml'>
<head>
  <meta http-equiv='Content-Type' content='text/html; charset=utf-8' />
  <title>Error</title>
</head>
<body>
<h2 style='color:red;text-align:center'>集团版人数超出限制</h2>
您版本的用户数是{$properties['user']['value']}，您目前系统中已有{$user->count}人，已经超过了限制，请联系我们增加人数授权。<br>
email：<a href='mailto:co@zentao.net'>co@zentao.net</a><br>
电话：4006 889923<br />
网址：<a href='http://www.zentao.net/goto.php?item=buypro'>www.zentao.net</a><br />
<br /><br /><br />
<h2 style='color:red;text-align:center'>Accounts has exceed the limit.</h2>
The accounts has exceed the limit of {$properties['user']['value']} peoples, please contact us to buy more licenses.<br />
email:<a href='mailto:Max@easysoft.ltd'>Max@easysoft.ltd</a><br />
Web:<a href='http://www.zentao.pm/'>www.zentao.pm/</a><br />
</body>
</html>");
}
if(!empty($properties['sites']))
{
    $sites = $this->dao->query("show databases like 'pms_%'")->fetchAll();
    $siteCount = count($sites);
     if($siteCount > $properties['sites']['value']) die("<!DOCTYPE html PUBLIC '-//W3C//DTD XHTML 1.0 Transitional//EN' 'http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dli'>
<html xmlns='http://www.w3.org/1999/xhtml'>
<head>
  <meta http-equiv='Content-Type' content='text/html; charset=utf-8' />
  <title>Error</title>
</head>
<body>
<h2 style='color:red;text-align:center'>集团版创建的站点数超出限制</h2>
您版本的站点数是{$properties['sites']['value']}，您目前系统中已有{$siteCount}个站点，已经超过了限制，请联系我们增加站点数授权。<br>
Email：<a href='mailto:co@zentao.net'>co@zentao.net</a><br>
电话：4006 889923<br />
网址：<a href='http://www.zentao.net/goto.php?item=buypro'>www.zentao.net</a><br />
<br /><br /><br />
<h2 style='color:red;text-align:center'>Sites has exceed the limit.</h2>
The sites has exceed the limit of {$properties['sites']['value']} sites, please contact us to buy more licenses.<br />
Email:<a href='mailto:Max@easysoft.ltd'>Max@easysoft.ltd</a><br />
Web:<a href='http://www.zentao.pm/'>www.zentao.pm/</a><br />
</body>
</html>");
}

if(!empty($properties['domain']))
{
    $host    = $_SERVER['HTTP_HOST'];
    $portPos = strpos($host, ':');
    if($portPos !== false) $host = substr($host, 0, $portPos);
    $host .= $_SERVER['REQUEST_URI'];

    $checkHost  = false;
    $allowHosts = explode(',', $properties['domain']['value']);
    foreach($allowHosts as $allowHost)
    {
        if(strpos($host, $allowHost) !== false)
        {
            $checkHost = true;
            break;
        }
    }
    if(!$checkHost) die("<!DOCTYPE html PUBLIC '-//W3C//DTD XHTML 1.0 Transitional//EN' 'http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dli'>
<html xmlns='http://www.w3.org/1999/xhtml'>
<head>
  <meta http-equiv='Content-Type' content='text/html; charset=utf-8' />
  <title>Error</title>
</head>
<body>
<h2 style='color:red;text-align:center'>集团版绑定域名访问错误</h2>
您版本绑定的域名是{$properties['domain']['value']}，您目前访问的域名是{$_SERVER['HTTP_HOST']}，如果有问题，请联系我们修改绑定域名。<br>
email：<a href='mailto:co@zentao.net'>co@zentao.net</a><br>
电话：4006 889923<br />
网址：<a href='http://www.zentao.net/goto.php?item=buypro'>www.zentao.net</a><br />
<br /><br /><br />
<h2 style='color:red;text-align:center'>Domain Binding Error.</h2>
The binding domain is {$properties['domain']['value']}, please contact us to change binding domain.<br />
email:<a href='mailto:tengfei@cnezsoft.com'>tengfei@cnezsoft.com</a><br />
Web:<a href='http://www.zentao.pm/'>www.zentao.pm/</a><br />
</body>
</html>");
}
    }

    /**
     * The index page of whole zentao system.
     * 
     * @access public
     * @return void
     */
    public function index()
    {
        $this->locate($this->createLink('my', 'index'));
    }

    /**
     * Just test the extension engine.
     * 
     * @access public
     * @return void
     */
    public function testext()
    {
        echo $this->fetch('misc', 'getsid');
    }
}
