<?php
/**
 * Create the database for a domain.
 * 
 * @param  string    $domain 
 * @access public
 * @return void
 */
public function createDB($domain)
{
    return $this->loadExtension('saas')->createDB($domain);
}

/**
 * Create tables for a domain.
 * 
 * @param  string    $domain 
 * @param  string    $type    newinstall|reinstall 
 * @access public
 * @return void
 */
public function createTable($domain)
{
    return $this->loadExtension('saas')->createTable($domain);
}

/**
 * Execute the saas sql.
 * 
 * @param  string    $domain 
 * @access public
 * @return bool
 */
public function executeSaasSQL($domain)
{
    return $this->loadExtension('saas')->executeSaasSQL($domain);
}

/**
 * Create company for a domain.
 * 
 * @param  string    $domain 
 * @param  string    $companyName 
 * @param  string    $adminAccount 
 * @param  string    $password 
 * @access public
 * @return void
 */
public function createCompany($domain, $companyName, $adminAccount, $password, $email)
{
    return $this->loadExtension('saas')->createCompany($domain, $companyName, $adminAccount, $password, $email);
}

public function importUser($domain, $userList)
{
    return $this->loadExtension('saas')->importUser($domain, $userList);
}

/**
 * Set pms version.
 * 
 * @param  string $domain 
 * @access public
 * @return void
 */
public function setVersion($domain)
{
    return $this->loadExtension('saas')->setVersion($domain);
}

/**
 * Set the serial number of pms.
 * 
 * @param  string $domain 
 * @access public
 * @return void
 */
public function setSN($domain)
{
    return $this->loadExtension('saas')->setSN($domain);
}

 /*
 * Set the serivce of the site.
 * 
 * @param  string $domain 
 * @param  date   $openedDate 
 * @access public
 * @return void
 */
public function setService($domain, $openedDate)
{
    return $this->loadExtension('saas')->setService($domain, $openedDate);
}

/**
 * Delete a database.
 * 
 * @param  string    $domain 
 * @access public
 * @return void
 */
public function deleteDB($domain)
{
    return $this->loadExtension('saas')->deleteDB($domain);
}

/**
 * Delete a site's attatch file.
 * 
 * @param  string    $domain 
 * @access public
 * @return bool
 */
public function deleteAttatch($domain)
{
    return $this->loadExtension('saas')->deleteAttatch($domain);
}

/**
 * Set the database name for a domain.
 * 
 * @param  string    $subDomain 
 * @access public
 * @return string
 */
public function setNameOfDB($subDomain)
{
    return $this->loadExtension('saas')->setNameOfDB($subDomain);
}

/**
 * Delete SVN. 
 * 
 * @param  string $subDomain 
 * @access public
 * @return void
 */
public function deleteSVN($subDomain)
{
    return $this->loadExtension('saas')->deleteSVN($subDomain);
}

/**
 * Delete git.
 * 
 * @param  string  $subDomain 
 * @access public
 * @return void
 */
public function deleteGIT($subDomain)
{
    return $this->loadExtension('saas')->deleteGIT($subDomain);
}

/**
 * Delete repo file.
 * 
 * @param  string    $subDomain 
 * @access public
 * @return void
 */
public function deleteRepo($subDomain)
{
    return $this->loadExtension('saas')->deleteRepo($subDomain);
}

/**
 * Change group lang.
 * 
 * @param  int    $domain 
 * @access public
 * @return void
 */
public function changeGroupLang($domain)
{
    return $this->loadExtension('saas')->changeGroupLang($domain);
}
